import{s as pe,o as fe,n as se}from"../chunks/scheduler.9f522b10.js";import{S as ue,i as he,g as m,s as p,r as $,A as $e,h as f,f as d,c as u,j as F,u as g,k as C,y as a,a as D,v as k,d as w,t as _,w as v,x as E}from"../chunks/index.192f26f8.js";import{D as O}from"../chunks/Docstring.d6b83c09.js";import{T as ge,M as ae}from"../chunks/TokenizersLanguageContent.585b569a.js";import{H as me,E as ke}from"../chunks/EditOnGithub.6d5e7de4.js";function we(T){let t,r,e,o,i,z,x=`Represents a token that can be be added to a <a href="/docs/tokenizers/pr_1617/en/api/tokenizer#tokenizers.Tokenizer">Tokenizer</a>.
It can have special options that defines the way it should behave.`,H,h,b,M,A,n="Get the content of this <code>AddedToken</code>",l,y,G,X,R,de="Get the value of the <code>lstrip</code> option",Z,L,S,ee,j,ie="Get the value of the <code>normalized</code> option",te,P,q,ne,K,le="Get the value of the <code>rstrip</code> option",oe,I,V,re,N,ce="Get the value of the <code>single_word</code> option",U;return t=new me({props:{title:"AddedToken",local:"tokenizers.AddedToken",headingTag:"h2"}}),o=new O({props:{name:"class tokenizers.AddedToken",anchor:"tokenizers.AddedToken",parameters:[{name:"content",val:""},{name:"single_word",val:" = False"},{name:"lstrip",val:" = False"},{name:"rstrip",val:" = False"},{name:"normalized",val:" = True"},{name:"special",val:" = False"}],parametersDescription:[{anchor:"tokenizers.AddedToken.content",description:"<strong>content</strong> (<code>str</code>) &#x2014; The content of the token",name:"content"},{anchor:"tokenizers.AddedToken.single_word",description:`<strong>single_word</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should only match single words. If <code>True</code>, this
token will never match inside of a word. For example the token <code>ing</code> would match
on <code>tokenizing</code> if this option is <code>False</code>, but not if it is <code>True</code>.
The notion of &#x201D;<em>inside of a word</em>&#x201D; is defined by the word boundaries pattern in
regular expressions (ie. the token should start and end with word boundaries).`,name:"single_word"},{anchor:"tokenizers.AddedToken.lstrip",description:`<strong>lstrip</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should strip all potential whitespaces on its left side.
If <code>True</code>, this token will greedily match any whitespace on its left. For
example if we try to match the token <code>[MASK]</code> with <code>lstrip=True</code>, in the text
<code>&quot;I saw a [MASK]&quot;</code>, we would match on <code>&quot; [MASK]&quot;</code>. (Note the space on the left).`,name:"lstrip"},{anchor:"tokenizers.AddedToken.rstrip",description:`<strong>rstrip</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should strip all potential whitespaces on its right
side. If <code>True</code>, this token will greedily match any whitespace on its right.
It works just like <code>lstrip</code> but on the right.`,name:"rstrip"},{anchor:"tokenizers.AddedToken.normalized",description:`<strong>normalized</strong> (<code>bool</code>, defaults to <code>True</code> with  &#x2014;meth:<em>~tokenizers.Tokenizer.add_tokens</em> and <code>False</code> with <code>add_special_tokens()</code>):
Defines whether this token should match against the normalized version of the input
text. For example, with the added token <code>&quot;yesterday&quot;</code>, and a normalizer in charge of
lowercasing the text, the token could be extract from the input <code>&quot;I saw a lion Yesterday&quot;</code>.`,name:"normalized"},{anchor:"tokenizers.AddedToken.special",description:`<strong>special</strong> (<code>bool</code>, defaults to <code>False</code> with  &#x2014;meth:<em>~tokenizers.Tokenizer.add_tokens</em> and <code>False</code> with <code>add_special_tokens()</code>):
Defines whether this token should be skipped when decoding.`,name:"special"}]}}),b=new O({props:{name:"content",anchor:"tokenizers.AddedToken.content",parameters:[],isGetSetDescriptor:!0}}),G=new O({props:{name:"lstrip",anchor:"tokenizers.AddedToken.lstrip",parameters:[],isGetSetDescriptor:!0}}),S=new O({props:{name:"normalized",anchor:"tokenizers.AddedToken.normalized",parameters:[],isGetSetDescriptor:!0}}),q=new O({props:{name:"rstrip",anchor:"tokenizers.AddedToken.rstrip",parameters:[],isGetSetDescriptor:!0}}),V=new O({props:{name:"single_word",anchor:"tokenizers.AddedToken.single_word",parameters:[],isGetSetDescriptor:!0}}),{c(){$(t.$$.fragment),r=p(),e=m("div"),$(o.$$.fragment),i=p(),z=m("p"),z.innerHTML=x,H=p(),h=m("div"),$(b.$$.fragment),M=p(),A=m("p"),A.innerHTML=n,l=p(),y=m("div"),$(G.$$.fragment),X=p(),R=m("p"),R.innerHTML=de,Z=p(),L=m("div"),$(S.$$.fragment),ee=p(),j=m("p"),j.innerHTML=ie,te=p(),P=m("div"),$(q.$$.fragment),ne=p(),K=m("p"),K.innerHTML=le,oe=p(),I=m("div"),$(V.$$.fragment),re=p(),N=m("p"),N.innerHTML=ce,this.h()},l(s){g(t.$$.fragment,s),r=u(s),e=f(s,"DIV",{class:!0});var c=F(e);g(o.$$.fragment,c),i=u(c),z=f(c,"P",{"data-svelte-h":!0}),E(z)!=="svelte-b2uuit"&&(z.innerHTML=x),H=u(c),h=f(c,"DIV",{class:!0});var Y=F(h);g(b.$$.fragment,Y),M=u(Y),A=f(Y,"P",{"data-svelte-h":!0}),E(A)!=="svelte-11ic05p"&&(A.innerHTML=n),Y.forEach(d),l=u(c),y=f(c,"DIV",{class:!0});var B=F(y);g(G.$$.fragment,B),X=u(B),R=f(B,"P",{"data-svelte-h":!0}),E(R)!=="svelte-1ysl9wg"&&(R.innerHTML=de),B.forEach(d),Z=u(c),L=f(c,"DIV",{class:!0});var J=F(L);g(S.$$.fragment,J),ee=u(J),j=f(J,"P",{"data-svelte-h":!0}),E(j)!=="svelte-1rc21rb"&&(j.innerHTML=ie),J.forEach(d),te=u(c),P=f(c,"DIV",{class:!0});var Q=F(P);g(q.$$.fragment,Q),ne=u(Q),K=f(Q,"P",{"data-svelte-h":!0}),E(K)!=="svelte-wndfu2"&&(K.innerHTML=le),Q.forEach(d),oe=u(c),I=f(c,"DIV",{class:!0});var W=F(I);g(V.$$.fragment,W),re=u(W),N=f(W,"P",{"data-svelte-h":!0}),E(N)!=="svelte-2k02jz"&&(N.innerHTML=ce),W.forEach(d),c.forEach(d),this.h()},h(){C(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,c){k(t,s,c),D(s,r,c),D(s,e,c),k(o,e,null),a(e,i),a(e,z),a(e,H),a(e,h),k(b,h,null),a(h,M),a(h,A),a(e,l),a(e,y),k(G,y,null),a(y,X),a(y,R),a(e,Z),a(e,L),k(S,L,null),a(L,ee),a(L,j),a(e,te),a(e,P),k(q,P,null),a(P,ne),a(P,K),a(e,oe),a(e,I),k(V,I,null),a(I,re),a(I,N),U=!0},p:se,i(s){U||(w(t.$$.fragment,s),w(o.$$.fragment,s),w(b.$$.fragment,s),w(G.$$.fragment,s),w(S.$$.fragment,s),w(q.$$.fragment,s),w(V.$$.fragment,s),U=!0)},o(s){_(t.$$.fragment,s),_(o.$$.fragment,s),_(b.$$.fragment,s),_(G.$$.fragment,s),_(S.$$.fragment,s),_(q.$$.fragment,s),_(V.$$.fragment,s),U=!1},d(s){s&&(d(r),d(e)),v(t,s),v(o),v(b),v(G),v(S),v(q),v(V)}}}function _e(T){let t,r;return t=new ae({props:{$$slots:{default:[we]},$$scope:{ctx:T}}}),{c(){$(t.$$.fragment)},l(e){g(t.$$.fragment,e)},m(e,o){k(t,e,o),r=!0},p(e,o){const i={};o&2&&(i.$$scope={dirty:o,ctx:e}),t.$set(i)},i(e){r||(w(t.$$.fragment,e),r=!0)},o(e){_(t.$$.fragment,e),r=!1},d(e){v(t,e)}}}function ve(T){let t,r='The Rust API Reference is available directly on the <a href="https://docs.rs/tokenizers/latest/tokenizers/" rel="nofollow">Docs.rs</a> website.';return{c(){t=m("p"),t.innerHTML=r},l(e){t=f(e,"P",{"data-svelte-h":!0}),E(t)!=="svelte-4ytcyb"&&(t.innerHTML=r)},m(e,o){D(e,t,o)},p:se,d(e){e&&d(t)}}}function Te(T){let t,r;return t=new ae({props:{$$slots:{default:[ve]},$$scope:{ctx:T}}}),{c(){$(t.$$.fragment)},l(e){g(t.$$.fragment,e)},m(e,o){k(t,e,o),r=!0},p(e,o){const i={};o&2&&(i.$$scope={dirty:o,ctx:e}),t.$set(i)},i(e){r||(w(t.$$.fragment,e),r=!0)},o(e){_(t.$$.fragment,e),r=!1},d(e){v(t,e)}}}function be(T){let t,r="The node API has not been documented yet.";return{c(){t=m("p"),t.textContent=r},l(e){t=f(e,"P",{"data-svelte-h":!0}),E(t)!=="svelte-1mrchm6"&&(t.textContent=r)},m(e,o){D(e,t,o)},p:se,d(e){e&&d(t)}}}function ze(T){let t,r;return t=new ae({props:{$$slots:{default:[be]},$$scope:{ctx:T}}}),{c(){$(t.$$.fragment)},l(e){g(t.$$.fragment,e)},m(e,o){k(t,e,o),r=!0},p(e,o){const i={};o&2&&(i.$$scope={dirty:o,ctx:e}),t.$set(i)},i(e){r||(w(t.$$.fragment,e),r=!0)},o(e){_(t.$$.fragment,e),r=!1},d(e){v(t,e)}}}function xe(T){let t,r,e,o,i,z,x,H,h,b,M,A;return i=new me({props:{title:"Added Tokens",local:"added-tokens",headingTag:"h1"}}),x=new ge({props:{python:!0,rust:!0,node:!0,$$slots:{node:[ze],rust:[Te],python:[_e]},$$scope:{ctx:T}}}),h=new ke({props:{source:"https://github.com/huggingface/tokenizers/blob/main/docs/source-doc-builder/api/added-tokens.mdx"}}),{c(){t=m("meta"),r=p(),e=m("p"),o=p(),$(i.$$.fragment),z=p(),$(x.$$.fragment),H=p(),$(h.$$.fragment),b=p(),M=m("p"),this.h()},l(n){const l=$e("svelte-u9bgzb",document.head);t=f(l,"META",{name:!0,content:!0}),l.forEach(d),r=u(n),e=f(n,"P",{}),F(e).forEach(d),o=u(n),g(i.$$.fragment,n),z=u(n),g(x.$$.fragment,n),H=u(n),g(h.$$.fragment,n),b=u(n),M=f(n,"P",{}),F(M).forEach(d),this.h()},h(){C(t,"name","hf:doc:metadata"),C(t,"content",Ae)},m(n,l){a(document.head,t),D(n,r,l),D(n,e,l),D(n,o,l),k(i,n,l),D(n,z,l),k(x,n,l),D(n,H,l),k(h,n,l),D(n,b,l),D(n,M,l),A=!0},p(n,[l]){const y={};l&2&&(y.$$scope={dirty:l,ctx:n}),x.$set(y)},i(n){A||(w(i.$$.fragment,n),w(x.$$.fragment,n),w(h.$$.fragment,n),A=!0)},o(n){_(i.$$.fragment,n),_(x.$$.fragment,n),_(h.$$.fragment,n),A=!1},d(n){n&&(d(r),d(e),d(o),d(z),d(H),d(b),d(M)),d(t),v(i,n),v(x,n),v(h,n)}}}const Ae='{"title":"Added Tokens","local":"added-tokens","sections":[{"title":"AddedToken","local":"tokenizers.AddedToken","sections":[],"depth":2}],"depth":1}';function ye(T){return fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ie extends ue{constructor(t){super(),he(this,t,ye,xe,pe,{})}}export{Ie as component};
